scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks

# WrappedTask

#### class WrappedTask[R, Tp] extends AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp] with AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]

Source
  Tasks.scala

Linear Supertypes
AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp], AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp], AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp], Runnable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WrappedTask
2. WrappedTask
3. WrappedTask
4. WrappedTask
5. Runnable
6. AnyRef
7. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new WrappedTask(body: Task[R, Tp])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WrappedTask[R, Tp] to any2stringadd[WrappedTask[R, Tp]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (WrappedTask[R, Tp], B)

   Implicit information
     This member is added by an implicit conversion from WrappedTask[R, Tp] to ArrowAssoc[WrappedTask[R, Tp]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val body: Task[R, Tp]

   the body of this task - what it executes, how it gets split and how results are merged.

   the body of this task - what it executes, how it gets split and how results are merged.

   Definition Classes
     WrappedTask → WrappedTask

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var completed: Boolean

   Definition Classes
     WrappedTask

10. #### def compute(): Unit

    Code that gets called after the task gets started - it may spawn other tasks instead of calling `leaf`.

    Code that gets called after the task gets started - it may spawn other tasks instead of calling `leaf`.

    Definition Classes
      WrappedTask → WrappedTask

11. #### def ensuring(cond: (WrappedTask[R, Tp]) ⇒ Boolean, msg: ⇒ Any): WrappedTask[R, Tp]

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to Ensuring[WrappedTask[R, Tp]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (WrappedTask[R, Tp]) ⇒ Boolean): WrappedTask[R, Tp]

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to Ensuring[WrappedTask[R, Tp]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): WrappedTask[R, Tp]

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to Ensuring[WrappedTask[R, Tp]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): WrappedTask[R, Tp]

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to Ensuring[WrappedTask[R, Tp]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to StringFormat[WrappedTask[R, Tp]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def internal(): Unit

    Definition Classes
      WrappedTask

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### var next: AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]

    Definition Classes
      WrappedTask

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### var owned: Boolean

    Definition Classes
      WrappedTask

28. #### def printChain(): Unit

    Definition Classes
      WrappedTask

29. #### def release(): Unit

    If the task has been cancelled successfully, those syncing on it may automatically be notified, depending on the implementation.

    If the task has been cancelled successfully, those syncing on it may automatically be notified, depending on the implementation. If they aren't, this release method should be called after processing the cancelled task.

    This method may be overridden.

    Definition Classes
      WrappedTask → WrappedTask

30. #### def run(): Unit

    Definition Classes
      WrappedTask → Runnable

31. #### var shouldWaitFor: Boolean

    Definition Classes
      WrappedTask

32. #### def spawnSubtasks(): AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]

    Definition Classes
      WrappedTask

33. #### def split: scala.Seq[AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]]

    Definition Classes
      WrappedTask → WrappedTask → WrappedTask

34. #### def start(): Unit

    Start task.

    Start task.

    Definition Classes
      WrappedTask → WrappedTask

35. #### def sync(): Unit

    Wait for task to finish.

    Wait for task to finish.

    Definition Classes
      WrappedTask → WrappedTask

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to CollectionsHaveToParArray[WrappedTask[R, Tp], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (WrappedTask[R, Tp]) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### def tryCancel(): Boolean

    Try to cancel the task.

    Try to cancel the task.

    returns

      `true` if cancellation is successful.

    Definition Classes
      WrappedTask → WrappedTask

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (WrappedTask[R, Tp], B)

    Implicit information
      This member is added by an implicit conversion from WrappedTask[R, Tp] to ArrowAssoc[WrappedTask[R, Tp]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AdaptiveWorkStealingThreadPoolTasks.WrappedTask[R, Tp]

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from WrappedTask[R, Tp] to CollectionsHaveToParArray[WrappedTask[R, Tp], T]

### Inherited by implicit conversion any2stringadd from WrappedTask[R, Tp] to any2stringadd[WrappedTask[R, Tp]]

### Inherited by implicit conversion StringFormat from WrappedTask[R, Tp] to StringFormat[WrappedTask[R, Tp]]

### Inherited by implicit conversion Ensuring from WrappedTask[R, Tp] to Ensuring[WrappedTask[R, Tp]]

### Inherited by implicit conversion ArrowAssoc from WrappedTask[R, Tp] to ArrowAssoc[WrappedTask[R, Tp]]

### Ungrouped